{% extends "base.html.twig" %}

{% block body %}
<h1>{{ l.register }}</h1>
{% if error %}
<div class="alert alert-danger" role="alert">
  {{ error }}
</div>
{% for err in errors %}
<div class="alert alert-danger" role="alert">
  {{ err }}
</div>
{% endfor %}
{% endif %}
<div class="form">
  <form method="POST" action="/register-check">
    <div class="form-group">
      <label for="email">{{ l.email }}:</label><input type="email" name="email" id="email" class="form-control" required>
    </div>
    <div class="form-group">
      <label for="password">{{ l.password }}:</label><input type="password" name="password" id="password" class="form-control" required>
    </div>
    <div class="form-group">
      <label for="re-password">{{ l.repassword }}:</label><input type="password" name="re_password" class="form-control" id="re_password" required>
    </div>
    <div class="form-group row">
      <label class="col-3 col-form-label">{{ l.currency }}:</label>
      <div class="col-9">
        <select name="currency" class="form-control">
          {% for key, value in currencies %}
          <option value="{{ value.id }}">{{ value.symbol }} - {{ value.name }}</option>
          {% endfor %}
        </select>
      </div>
    </div>
    <div class="form-group row">
      <label class="col-3 col-form-label">{{ l.preflang }}:</label>
      <div class="preflang col-9">
        {% for key, value in langs %}
        <input type="radio" name="preflang" id="preflang-{{ value }}" value="{{ value }}" {% if session.lang == value %}checked{% endif %}><label for="preflang-{{ value }}"><img src="{{ public_path }}/images/1x1/{{ value }}.svg" alt="{{ value }}"></label>
        {% endfor %}
      </div>
    </div>
    <div class="form-group form-check">
      <input type="checkbox" name="terms" id="terms" class="form-check-input" required><label for="terms" class="for-terms form-check-label">{{ l.accept_tnc }}</label>
    </div>
    <div class="form-group">
      <button class="btn btn-secondary offset-3" type="submit" name="usr_registration">{{ l.register }}</button>
    </div>
  </form>
</div>
{% endblock %}
